/*
package com.crm.pay.controller.pay;

import com.crm.pay.controller.base.BasePayCloseFunctionController;
import com.crm.pay.service.VaultodyPayService;
import com.crm.rely.backend.core.constant.Constants;
import com.crm.rely.backend.core.constant.FeignClientAnnotation;
import com.crm.rely.backend.model.constant.PayConstants;
import com.crm.rely.backend.core.dto.base.BaseResultDto;
import com.crm.pay.dto.PayDto;
import com.crm.rely.backend.model.entity.custom.info.CustomInfoEntity;
import com.crm.rely.backend.model.entity.finance.deposit.FinanceDepositAddEntity;
import com.crm.pay.entity.FinanceDepositParameterEntity;
import com.crm.pay.entity.finance.withdraw.automatic.FinanceWithdrawInfoEntity;
import com.crm.pay.entity.finance.withdraw.automatic.FinanceWithdrawVaultodyPayEntity;
import com.crm.rely.backend.core.exception.PayValidatedException;
import com.google.common.base.Strings;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.math.BigDecimal;

@RestController
@RequestMapping("/vaultody")
public class VaultodyPayController extends BasePayCloseFunctionController {

    @Autowired
    private VaultodyPayService service;

    */
/**
     * 支付
     *
     * @param login  入金账号
     * @param amount 入金金额
     * @return 错误信息
     * @throws Exception
     *//*

    @RequestMapping("/pay/{login}/{amount}/{bankCode}/{activity}")
    public BaseResultDto pay(@PathVariable("login") Long login,
                             @PathVariable("amount") BigDecimal amount,
                             @PathVariable("bankCode") String bankCode,
                             @PathVariable("activity") int activity,
                             @RequestBody FinanceDepositParameterEntity entity,
                             CustomInfoEntity infoEntity, HttpServletRequest request) throws Exception {

        return payCall(login, amount, bankCode, activity, entity, infoEntity, request);
    }

    @RequestMapping("/pay/{login}/{amount}/{bankCode}")
    public BaseResultDto pay(@PathVariable("login") Long login,
                             @PathVariable("amount") BigDecimal amount,
                             @PathVariable("bankCode") String bankCode,
                             @RequestBody FinanceDepositParameterEntity entity,
                             CustomInfoEntity infoEntity, HttpServletRequest request) throws Exception {

        return payCall(login, amount, bankCode, 0, entity, infoEntity, request);
    }

    private BaseResultDto payCall(Long login,
                                  BigDecimal amount,
                                  String bankCode,
                                  int activity,
                                  FinanceDepositParameterEntity entity,
                             CustomInfoEntity infoEntity, HttpServletRequest request) throws Exception {
        validated(login, amount);

        FinanceDepositAddEntity financeDepositSaveEntity = getFinanceDepositSaveEntity(login, amount, bankCode,
                PayConstants.VAULTODY_PAY_KEY, activity, entity, request);

        String serial = service.pay(financeDepositSaveEntity);
        PayDto payDto = new PayDto(10, serial);
        return BaseResultDto.success(payDto);
    }

    */
/**
     * 异步回调
     *
     * @return 返回成功给第三方系统
     * @throws Exception
     *//*

    @RequestMapping(value = "/callback")
    public BaseResultDto callback(@RequestBody String content, @RequestHeader("x-signature") String signature) throws Exception {
        try {
            return service.callback(content, signature);
        } catch (Exception e) {
            return BaseResultDto.error("system error");
        }
    }

    @PostMapping("/withdraw/info")
    @FeignClientAnnotation
    public BaseResultDto withdrawInfo(@RequestBody FinanceWithdrawInfoEntity entity) throws Exception {
        if (Strings.isNullOrEmpty(entity.getPayType())) {
            return BaseResultDto.error(Constants.INFO_NOT_FOUND);
        }
        return BaseResultDto.success(service.withdrawInfo(entity));
    }

    @PostMapping("/withdraw")
    @FeignClientAnnotation
    public BaseResultDto withdraw(@RequestBody FinanceWithdrawVaultodyPayEntity entity) throws Exception {
        if (Strings.isNullOrEmpty(entity.getPayType())) {
            return BaseResultDto.error(Constants.INFO_NOT_FOUND);
        }
        service.withdraw(entity);

        return BaseResultDto.success();
    }

    @RequestMapping("/withdraw/callback")
    public BaseResultDto withdrawCallback(@RequestBody String content, @RequestHeader("x-signature") String signature) throws Exception {
        service.withdrawCallback(content, signature);
        return BaseResultDto.success();
    }

    */
/**
     * 同步页面 成功
     *
     * @param response 用于重定向页面
     * @throws IOException
     *//*

    @GetMapping(value = "/pickup")
    public void pickup(HttpServletResponse response) throws Exception, PayValidatedException {

        sendRedirect(response);
    }

    @GetMapping(value = "/error")
    public void error(HttpServletResponse response) throws Exception {

        sendRedirect(response);
    }
}
*/
